Store user attributes

This POST endpoint is used to store user attributes, allowing you to associate additional data with a user token.
To use this endpoint, you need to provide the user_token, endpoint_token, and currency as parameters in the URL Path. You also need to provide the attribute values as JSON parameters in the Request body.
If existing attributes are already stored for the user, this call will override their values.

Path Params
string
required

Token representing the user to store attributes for

string
required

Token representing the transaction endpoint — either the destination_token for payouts (e.g., MassPay → Brazil → Bank Deposit → Itau), or the origin_token for pay-ins. For payouts, this value is retrieved from the country services endpoint.

string
required
length between 3 and 5

The destination currency sending funds to. Using ISO 4217 format.

Body Params

Attr parameters to store

values
array of objects
required
values*
string

The token that represents a set of attributes for a specific payer. Optional, specify the value if you're trying to add a value for a specific attributes set. If the existing values associated with the attr_set_token are different, this value will be ignored and a new attr_set_token would be issued.

string
length ≤ 100

Optional user-defined label for identifying or naming this set of attributes. Useful for UI display or future reference.

Headers
string

Unique key to prevent duplicate processing

Responses

Language
Credentials
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json